Ticket #41148

壁抜け時のモンスター挙動が従来通りにならない(Re: 変愚蛮怒3.0.0Alpha開発フォーラム (フォーラムメッセージ #86526 からの引用))

Open Date: 2021-01-13 20:52 Last Update: 2021-01-24 20:08

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

フォーラム 変愚蛮怒3.0.0Alpha開発フォーラム [#86526] からの引用

[forum: 86526]

以前のバージョンだと@が壁抜けを持っている時は敵の挙動が変わったのですが3.0.0.0alphaだと変わりません。

具体的には幽霊狂戦士でクローン地獄に入ったときにボーシンとジャートが壁を回り込んでこちらに向かって来ます。

ほぼ例によってif文のミスと思われる

確認が必要

Ticket History (3/8 Histories)

2021-01-13 20:52 Updated by: hourier
  • New Ticket "Re: 変愚蛮怒3.0.0Alpha開発フォーラム (フォーラムメッセージ #86526 からの引用)" created
2021-01-14 02:03 Updated by: deskull
  • Summary Updated
Comment

player-status-flags.c/hのno_flowedフラグ回りが正しく動作していない可能性もあるかもしれません余裕あればこっちで回します。

2021-01-14 02:03 Updated by: deskull
  • Owner Update from (None) to deskull
2021-01-24 20:06 Updated by: hourier
Comment

dis- さんが以下のコミットで修正してくれています
マージも済んでいますのでこのチケットはクローズします

2021-01-24 20:07 Updated by: hourier
  • Status Update from Open to Closed
2021-01-24 20:08 Updated by: deskull
  • Owner Update from deskull to dis-
Comment

dis-氏が修正していたの忘れてました。すみません。完了扱いにしときます。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login